> ## Documentation Index
> Fetch the complete documentation index at: https://emiloju.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate request token (with Login)

> This endpoint is used to validate the request token generated [here](https://emiloju.mintlify.app/api-reference/authentication/create-request-token) with a TMDB user's account credentials (username and password). The validated request token returned in the response can be used directly to [create a session id](https://emiloju.mintlify.app/api-reference/authentication/create-session). Learn more [here](https://emiloju.mintlify.app/api-reference/user-authentication#alternative-method).



## OpenAPI

````yaml api-reference/openapi.yaml post /3/authentication/token/validate_with_login
openapi: 3.0.3
info:
  title: Endpoints
  description: This section contains all the endpoints used in the documentation.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: This section contains all endpoints used for authentication
  - name: Accounts
    description: This section contains account-specific endpoints.
  - name: Favorites
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows, episodes to favorites, and also to get a list of
      favorites for the account.
  - name: Movies
    description: >-
      This section contains an endpoint to add a movie to favorites, and another
      to get a list of favorite movies for a TMDB account.
  - name: TV shows
    description: >-
      This section contains an endpoint to get the favorite TV shows for an
      account.
  - name: Watchlist
    description: >-
      This section contains all endpoints that allow a TMDB account to add
      movies, TV Shows to watchlist, and also to get a list of watchlist for the
      account.
  - name: Movies1
    description: >-
      This section contains an endpoint that allows a TMDB account to add a
      movie to watchlist, and another to get the movies in a watchlist.
  - name: TV shows1
    description: >-
      This section contains an endpoint used to get TV shows in an account's
      watchlist.
  - name: Ratings
    description: >-
      This section contains endpoints used to get all movies, TV Shows, and
      episodes rated by a TMDB account.
  - name: Movies12
    description: >-
      This section contains an endpoint used to get a list of movies rated by a
      TMDB account.
  - name: TV shows12
    description: >-
      This section contains an endpoint used to get a list of TV shows rated by
      a TMDB account.
  - name: Episodes
    description: >-
      This section contains an endpoint used to get a list of episodes rated by
      a TMDB account.
  - name: Lists
    description: Endpoints for a TMDB account lists.
  - name: Guest sessions
    description: This section contains all endpoints accessible by a guest session.
  - name: Movies
    description: For movies.
  - name: TV episodes
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      episodes.
  - name: TV seasons
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      seasons.
  - name: TV series
    description: >-
      This section contains all endpoints used to retrieve data for all TV
      series.
  - name: TV series lists
    description: This section contains all endpoints used to list TV series.
  - name: TV episode groups
    description: This section contains an endpoint used to retrieve data for TV episodes.
  - name: Watch providers
    description: Get available regions.
  - name: People
    description: About people lists.
  - name: Companies
    description: >-
      This section contains all endpoints used to retrieve data for supported
      companies.
  - name: Discover
    description: This section contains all endpoints used to discover movies and TV shows.
  - name: Recent changes
    description: >-
      This section contains all endpoints used to get recent changes in the TMDB
      database.
  - name: Credit
    description: This section contains an endpoint used to retrieve movie credits.
  - name: Certifications
    description: >-
      This section contains all endpoints used to get certification for movies
      and TV shows.
  - name: Collections
    description: This section contains all endpoints used to retrieve data for collections
  - name: Configuration
    description: >-
      This section contains all endpoints used to retrieve data on TMDB's
      configurations.
  - name: Find
    description: >-
      This section contains an endpoint used to search the TMDB database by
      External ID.
  - name: Genres
    description: This section contains endpoints related to genres.
  - name: Keywords
    description: >-
      This section contains an endpoint used to get keywords in the database by
      an ID.
  - name: Movie lists
    description: >-
      This section contains all endpoints used to retrieve movies by multiple
      search filters.
  - name: Networks
    description: For network endpoints.
  - name: Reviews
    description: For reviews endpoints.
  - name: Search
    description: For search endpoints.
  - name: Trending
    description: For trending videos.
paths:
  /3/authentication/token/validate_with_login:
    post:
      tags:
        - Authentication
      summary: Validate request token (with Login)
      description: >-
        This endpoint is used to validate the request token generated
        [here](https://emiloju.mintlify.app/api-reference/authentication/create-request-token)
        with a TMDB user's account credentials (username and password). The
        validated request token returned in the response can be used directly to
        [create a session
        id](https://emiloju.mintlify.app/api-reference/authentication/create-session).
        Learn more
        [here](https://emiloju.mintlify.app/api-reference/user-authentication#alternative-method).
      operationId: createSessionWithLogin
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/loginRequestBody'
            examples:
              Example request:
                value:
                  password: my_password
                  request_token: 825b0375e94da6c9f829465e170ed3448a3ee4d9
                  username: my_username
      responses:
        '200':
          description: Request successful
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: br
            Date:
              schema:
                type: string
                example: Sun, 29 Dec 2024 13:13:57 GMT
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 450b03d6f80e8a9a65630e947501047e.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: Z7lUGOwlIDfdNiZTvQARzcCFyPNfTkQVa6BGfwAlFd-AmEKCrbtTnA==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: LOS50-P2
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            cache-control:
              schema:
                type: string
                example: public, max-age=0
            etag:
              schema:
                type: string
                example: W/"501e43e9814d159745f972d749178695"
            vary:
              schema:
                type: string
                example: accept-encoding
          content:
            application/json:
              schema:
                type: object
                properties:
                  expires_at:
                    type: string
                    example: 2024-12-29 14:13:38 UTC
                    description: The date and time (in UTC) when the token will expire.
                  request_token:
                    type: string
                    example: 825b0375e94da6c9f829465e170ed3448a3ee4d9
                    description: The validated token.
                  success:
                    type: boolean
                    example: true
                    description: >-
                      Indicates whether the request was successful. Possible
                      values - true or false
              examples:
                Response example:
                  value:
                    expires_at: 2024-12-29 14:13:38 UTC
                    request_token: 825b0375e94da6c9f829465e170ed3448a3ee4d9
                    success: true
components:
  schemas:
    loginRequestBody:
      type: object
      properties:
        password:
          type: string
          example: my_password
          description: A TMDB user's account password
        request_token:
          type: string
          example: 825b0375e94da6c9f829465e170ed3448a3ee4d9
          description: >-
            A unique token created [here]() that is used to generate a
            `session_id`
        username:
          type: string
          example: my_username
          description: A TMDB user's account username
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````